package com.fjhx.purchase.service;

import com.fjhx.purchase.entity.AbnormalDetailsBo;
import com.fjhx.purchase.entity.PurchaseBackDetailsBo;
import com.fjhx.purchase.entity.deliver.DeliverGoodsDetailsPo;
import com.fjhx.purchase.entity.deliver.DeliverGoodsPo;
import com.fjhx.purchase.entity.purchase.vo.PurchaseVo;

import java.util.List;

public interface WdlyService {

    /**
     * 修改发货记录为到货
     */
    void updateDeliverGoodsStatus(Long id);

    /**
     * 获取发货信息
     */
    DeliverGoodsPo getDeliverGoodsInfo(Long id);

    List<DeliverGoodsDetailsPo> getDeliverGoodsDetailsInfo(Long id);

    void addAbnormalInfo(Long linkId, String linkCode, Long deliverGoodsId);

    PurchaseVo arrivalDetail(Long purchaseId);

    List<AbnormalDetailsBo> getAbnormalDetails(List<Long>purchaseIds);

    /**
     * 根据采购明细id 获取采购退货记录
     */
    List<PurchaseBackDetailsBo> getPurchaseBackDetails(List<Long> getPurchaseDetailsIds);

    List<DeliverGoodsPo> getDeliverGoodsInfo(List<Long> purchaseIds);
}
